List Devices
List software available to preload on the specified device.
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your
auth token.
Path parameters
project_name string Required
name string Required
Query parameters
$orderby string Optional
Specifies the key by which the result collection should be ordered.
$filter string Optional
Restricts the set of items returned.
$top string Optional
Specifies a non-negative integer
n that limits the number of items returned from a collection.
The service returns the number of available items up to but not greater than the specified value n. $skiptoken string Optional
Specifies a start offset to support paginated results.
Use
@odata.nextLink in the result object to enumerate the collection -
it will be present only if there's more than one page of entities. $label_key string Optional
Filters the set to the specified label key.
If multiple $label_keys are specified, matching items must have all labels.
$label string Optional
Filters the set to the specified label key/value pair.
Supports equality, inequality, and inexact matching. If multiple values are provided for the same key, items matching either value will be returned.
Response
200 A list of software
@odata.nextLinkstringOptional
@odata.nextLink URL if the page length and number of items match.
Supplemental info
Show 5 propertiesHide 5 properties
countintegerRequired
Number of items returned
kindstringRequired
Type of items in the list
operationstringRequired
Operation type. Should always say 'list'
Pagination info
Show 4 propertiesHide 4 properties
endintegerRequired
Position of the last item in the list
recordsintegerRequired
Total number of items returned in the list
startintegerRequired
Position of the first item in the list
totalintegerRequired
Total number of items in the project
Project info
Show 2 propertiesHide 2 properties
idstringRequired
Project ID
namestringRequired
Project name
A list of software versions available for this device.
Show 4 propertiesHide 4 properties
kindstringOptional
Software
Software metadata.
Show 2 propertiesHide 2 properties
displayNamestringRequired
A human-readable name for the resource.
labelsmap from strings to stringOptional
A dictionary of labels associated with the resource.
Maximum number of labels: 32.
Maximum length of a label or value: 256 characters.
Label: alphanumeric, hyphens and underscores.
Value: alphanumeric, hyphens, underscores and spaces.
Show value schemaHide value schema
[any key]string
Software specification.
Show 6 propertiesHide 6 properties
deprecatedOnstringOptionalDefaults to
The date the software was deprecated.
displayNamestringOptional0-255 charactersDefaults to
An optional display name of the software.
minimumVersionstringOptionalDefaults to
Minimum software version required on a standalone device before upgrading to this release.
minimumVersionHAstringOptionalDefaults to
Minimum software version required on an HA node before upgrading to this release.
releasedstringRequired
The date the software was released.
versionstringOptional1-255 characters
A version string.
Device-context status for this software release.
Show 2 propertiesHide 2 properties
downgradeCompatiblebooleanRequired
Whether switching to this release is safe from an underlying component perspective. False if this release has a lower minimum version requirement than the currently installed release (or nearest known release for dev builds). True when no suitable reference release can be found (fail open).
upgradeCompatiblebooleanRequired
Whether the device's current software version meets the applicable minimum version requirement for upgrading to this release. Uses the HA minimum for HA nodes and the standalone minimum for standalone devices.
Errors
400 Bad Request
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code